perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Christopher H. Laco" <cl...@chrislaco.com>
Subject Re: Apache-DBI
Date Tue, 08 Nov 2005 15:50:58 GMT
Paul Harrison wrote:
> p5-DBD-mysql50-3.0002
> 
> p5-DBI-1.48
> 
> p5-Apache-DBI-0.94_1
> 
>  
> 
> I upgraded the database server from the "4" version to "5", so I updated the
> Perl database Drivers -> DBD,DBI, and Apache-DBI.
> 
>  
> 
> Once I updated the software, I get the following text in the Apache error
> log -->
> 
>  
> 
> [Tue Nov  8 10:41:04 2005] DBI.pm: Use of uninitialized value in numeric eq
> (==) at /usr/local/lib/perl5/site_perl/5.6.1/Apache/DBI.pm line 211.
> 
> [Tue Nov  8 10:41:04 2005] startup.perl: Use of uninitialized value in
> numeric eq (==) at /usr/local/lib/perl5/site_perl/5.6.1/Apache/DBI.pm line
> 35.
> 
>  
> 
>  
> 
>  
> 
> Why does this happen?


I imagine somewhere in the code, there's something resembling

eval 'use Apache::BI 0.90';

The error is because 0.094_01 can't be used in a numeric comparison like
that. The message itself is harmless I believe and things should still work.

I had the same problem last night in my test suite when doing:

eval 'use Catalyst 5.00';

when I had a dev version of Catalyst 5.5_03 installed.

-=Chris


Mime
View raw message